part of mapmyindia_direction_plugin;

class DirectionCallback {
  final int? selectedIndex;
  final DirectionResponse? directionResponse;

  DirectionCallback(this.selectedIndex, this.directionResponse);

  static DirectionCallback fromMap(Map<dynamic, dynamic> map) {
    return DirectionCallback(
        map['selectedIndex'] as int,
        DirectionResponse.fromMap(
            jsonDecode(map['directionsResponse'] as String)));
  }

  Map<String, dynamic> toMap() {
    final Map<String, dynamic> optionsMap = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        optionsMap[fieldName] = value;
      }
    }

    addIfNonNull('selectedIndex', this.selectedIndex);
    addIfNonNull('directionsResponse', this.directionResponse?.toMap());
    return optionsMap;
  }
}
