import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:mapmyindia_direction_plugin/mapmyindia_direction_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('mapmyindia_direction_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    openDirectionWidget();
    // expect(await openDirectionWidget());
  });
}
