package com.mapmyindia.sdk.flutter.direction

import com.mapmyindia.sdk.direction.ui.model.DirectionPoint
import com.mmi.services.api.directions.models.DirectionsResponse

/**
 ** Created by Saksham on 23-04-2021.
 **/
class MapmyIndiaDirectionsSettings private constructor(){

    var directionsResponse: DirectionsResponse? = null
    var origin: DirectionPoint? = null
    var destination: DirectionPoint? = null
    var wayPoints: List<DirectionPoint>? = null
    var selectedIndex: Int? = null

    companion object {
        private val OUR_INSTANCE: MapmyIndiaDirectionsSettings by lazy { MapmyIndiaDirectionsSettings() }
        fun getInstance(): MapmyIndiaDirectionsSettings {
            return OUR_INSTANCE
        }
    }


    fun clear() {
        directionsResponse = null
        origin = null
        destination = null
        wayPoints = null
        selectedIndex = null
    }

}