import 'package:mapmyindia_direction_plugin/mapmyindia_direction_plugin.dart';

class DirectionSettings {

  DirectionSettings._privateConstructor();

  static final DirectionSettings _instance = DirectionSettings._privateConstructor();

  factory DirectionSettings(){

    return _instance;
  }

  bool showStartNavigation = true;
  bool showAlternative = true;
  bool showSteps = true;
  String resource = DirectionCriteria.RESOURCE_ROUTE_ETA;
  String profile = DirectionCriteria.PROFILE_DRIVING;
  String overView = DirectionCriteria.OVERVIEW_FULL;
  List<String> excludes =[];


  //place options
 bool tokenizeAddress = true;
 bool saveHistory = false;
 String? historyCount;
 String backgroundColor = "#FFFFFF";
 String toolbarColor = "#FFFFFF";
 String toolbarTintColor = "#FFFFFF";
 String? zoom;
 String? longitude;
 String? latitude;
 String? filter;
 String? eloc;
 String? dLat;
 String? dLng;
 String? placeName=" ";
 String? placeAddress=" ";
}