part of mapmyindia_direction_plugin;

const MethodChannel _channel =
    const MethodChannel('mapmyindia_direction_plugin');

Future<DirectionCallback> openDirectionWidget(
    {DirectionOptions? directionOptions}) async {
  final Map<String, dynamic> optionsMap = <String, dynamic>{};

  void addIfNonNull(String fieldName, dynamic value) {
    if (value != null) {
      optionsMap[fieldName] = value;
    }
  }

  addIfNonNull('directionOptions', directionOptions?.toMap());
  final Map<dynamic, dynamic> directionResponse =
      await _channel.invokeMethod("openDirectionWidget", optionsMap);
  return DirectionCallback.fromMap(directionResponse);
}
